[
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wp-brakkee-server",
        "k8s:io.kubernetes.pod.namespace": "brakkee-org"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-brakkee-org",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-to-wp-brakkee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "brakkee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "ecd288fa-bd4b-47d0-8a6f-98e1158a5c33",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "brakkee-org"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "database"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-access-to-databases",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "brakkee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "6e392f95-a5e2-45f9-917a-41e124b0a91b",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wp-brakkee-server",
        "k8s:io.kubernetes.pod.namespace": "brakkee-org"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-access-to-mailserver",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "brakkee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "cc5e0054-a4de-46dc-b217-570cea4e6ae7",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "brakkee-org"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "brakkee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "8777be16-d09d-49af-8e07-be3f64294a41",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wp-brakkee-server",
        "k8s:io.kubernetes.pod.namespace": "brakkee-org"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16"
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "external-internet-from-wordpress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "brakkee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f3b26ca9-6cbb-465b-bc20-1fe51c50c11f",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "nas-server",
        "k8s:io.kubernetes.pod.namespace": "brakkee-org"
      }
    },
    "ingress": [
      {
        "fromCIDRSet": [
          {
            "cidr": "192.168.178.0/24"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "139",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "445",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "873",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "22",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "wstunnel"
            },
            "matchExpressions": [
              {
                "key": "k8s:io.kubernetes.pod.namespace",
                "operator": "Exists"
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "139",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "445",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "873",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "22",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "nas-egress-ingress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "brakkee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f53d1cb1-982a-429e-8e06-a0b76cda1ef7",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "mysql-main",
        "k8s:io.kubernetes.pod.namespace": "database"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mailman",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "database-allow-mailman",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "database",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "2dadc33f-1b6c-4a36-a041-2be4e0c32d92",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "database"
      },
      "matchExpressions": [
        {
          "key": "k8s:app",
          "operator": "In",
          "values": [
            "mysql-57"
          ]
        }
      ]
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "wamblee-org"
            },
            "matchExpressions": [
              {
                "key": "k8s:app",
                "operator": "In",
                "values": [
                  "glassfish-server"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-java",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "database",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "bfba5d13-2097-480a-aef5-1129429e7ed5",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "database"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "database",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "500e31c4-dfd0-4c8a-94b4-052b598a05d5",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "database"
      },
      "matchExpressions": [
        {
          "key": "k8s:app",
          "operator": "In",
          "values": [
            "postgresql"
          ]
        }
      ]
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "wamblee-org"
            },
            "matchExpressions": [
              {
                "key": "k8s:app",
                "operator": "In",
                "values": [
                  "keycloak-server"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "5432",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-postgress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "database",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "a455adfc-ff6b-477d-9530-72dc63555d0e",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "mysql-main",
        "k8s:io.kubernetes.pod.namespace": "database"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "webmail",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-roundcube",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "database",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "a954002d-64ac-4a3a-8b54-3d3478d16301",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "database"
      },
      "matchExpressions": [
        {
          "key": "k8s:wamblee.org/db",
          "operator": "In",
          "values": [
            "mysql",
            "postgresql"
          ]
        }
      ]
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "wamblee-operator",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "wamblee-operators"
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-wamblee-operators",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "database",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "87d11255-554a-4f92-b93d-3442469fee83",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "mysql-main",
        "k8s:io.kubernetes.pod.namespace": "database"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "wp-brakkee-server",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "brakkee-org"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-wp-brakkee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "database",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "4fd0c0dc-e0dc-4ccc-a3bd-ef83c1944c7e",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "mysql-main",
        "k8s:io.kubernetes.pod.namespace": "database"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "wp-gitaarnerds-server",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "gitaarnerds-nl"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-wp-gitaarnerds-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "database",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "1e9be406-980f-4d21-9af5-eee7f2019167",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "mysql-main",
        "k8s:io.kubernetes.pod.namespace": "database"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "wp-mountainhoppers-server",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "mountainhoppers-nl"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-wp-mountainhoppers-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "database",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "4b1188ef-3a31-407b-aea6-167b2c117dd5",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "httpd-brakkee-org",
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.31/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "webmail",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mailman",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8000",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-from-httpd-brakkee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "e1828faf-b152-49f0-98f7-f3b8dae31789",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "domain"
            }
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "homeautomation"
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-to-backends",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "51c52f3d-7a4b-4122-a5a4-7a616f9775b5",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-to-dns",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "b23d73a9-c369-44e1-8a38-4649860855c6",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "httpd-wamblee-org",
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "jenkins",
              "k8s:statefulset.kubernetes.io/pod-name": "wamblee-jenkins-0"
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-to-jenkins",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "a30c8d22-4fc9-4648-b4a2-8e6fbb6105ad",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "exposure"
      },
      "matchExpressions": [
        {
          "key": "k8s:app",
          "operator": "In",
          "values": [
            "httpd-wamblee-org",
            "httpd-brakkee-org"
          ]
        }
      ]
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.241/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "ingress-nginx",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "nginx"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-to-keycloak",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "9d76f961-791d-4f24-9982-412a92f5e401",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.26/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.32/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.56/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.57/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-to-vms",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "c67436db-50ff-4569-93f4-872a9efedcd0",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "ingress-nginx",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "web"
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-http-https",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "e1f5ff2f-cacc-481e-b7bf-9e527a91ff3e",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "b71d63ca-00b3-4304-ad18-a6f4960e7f94",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "httpd-wamblee-org",
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "grafana",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "monitoring"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3000",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "grafana-exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "d20250aa-169b-412f-8ee3-a0a0ae938af8",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "mail",
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {
        "fromCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "5.34.207.0/24"
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "143",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "465",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "587",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "993",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchExpressions": [
              {
                "key": "k8s:io.kubernetes.pod.namespace",
                "operator": "Exists"
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "143",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "465",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "587",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "993",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mailman",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0"
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mailman",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8024",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "mail-ingress-egress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "537ad14a-54f3-42a3-b8a7-323d0f41832d",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "mail",
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "webmail",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "4190",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "mail-ingress-managesieve",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f0943833-6cc0-4738-91ae-02ec73192caf",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "mailman",
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mail",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8024",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-brakkee-org",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8000",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mail",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "database"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "18.227.219.0/24"
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "18.65.39.0/24"
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "mailman-ingress-egress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "4880daf0-42a3-4797-b74d-23fe6762a36c",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "httpd-wamblee-org",
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "prometheus",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "monitoring"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3000",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "9090",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "prometheus-exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "badb0256-d434-41b8-ba2d-05ad103ef1dd",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "webmail",
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-brakkee-org",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mail",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "587",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "993",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "4190",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.244/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "587",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "993",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "4190",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "database"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "webmail-ingress-egress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "4f09b4f9-3873-42ba-8d21-e1363c1e8dd1",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "websocket-echo-server",
              "k8s:io.kubernetes.pod.namespace": "exposure"
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "websocket-echo-server",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "0cffcd18-a037-471f-be0a-489bff8e80d9",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "httpd-wamblee-org",
        "k8s:io.kubernetes.pod.namespace": "exposure"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "wstunnel",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "wamblee-org"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "wstunnel-exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "d3b89627-161a-4a86-9996-481cf54761e5",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wp-gitaarnerds-server",
        "k8s:io.kubernetes.pod.namespace": "gitaarnerds-nl"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-gitaarnerds-nl",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-to-wp-gitaarnerds-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "gitaarnerds-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "1199bd9d-c032-4f57-96ce-55a80fc3c704",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "gitaarnerds-nl"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "database"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-access-to-databases",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "gitaarnerds-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "5a6867ee-f9d6-49e3-911b-19c8a7f85e44",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "gitaarnerds-nl"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "gitaarnerds-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "0a1d1ae8-41d1-44b5-965c-93e46c3fe3be",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wp-gitaarnerds-server",
        "k8s:io.kubernetes.pod.namespace": "gitaarnerds-nl"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16"
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "external-internet-from-wordpress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "gitaarnerds-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "aed897c2-443e-4908-993c-1ded387cb8ae",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "aircoservice",
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/instance": "nginx-internal",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "nginx-internal"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "homecontroller",
              "k8s:io.kubernetes.pod.namespace": "homeautomation"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16"
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "aircoservice-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "a4ac0a58-a6ed-4f91-9eda-508b10fc8f0f",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "10a9f51b-b139-4720-9750-1426d7b11b15",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "homeautomation",
        "k8s:prometheus-scrapable": "true"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "prometheus",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "monitoring"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "prometheus",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "homeautomation-allow-scrape",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "478088c5-8ffa-412d-80c1-83777dd88fc5",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "jaeger",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "observability"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "4317",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "homeautomation-allow-tracing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "10adab7a-a6a4-41ae-b5ff-77d0111f9de7",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "homecontroller",
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/instance": "nginx-internal",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "nginx-internal"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "homeui",
              "k8s:io.kubernetes.pod.namespace": "homeautomation"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "homeautomation"
            },
            "matchExpressions": [
              {
                "key": "k8s:app",
                "operator": "In",
                "values": [
                  "aircoservice",
                  "hueservice",
                  "weatherservice"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "kafka",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "kafka"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9090",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "9091",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "9092",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "9093",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "9094",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "homecontroller-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "436b8619-d48e-4e95-8309-93c6cf316225",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "homeui",
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-wamblee-org",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/instance": "nginx-internal",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "nginx-internal"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "homeautomation"
            },
            "matchExpressions": [
              {
                "key": "k8s:app",
                "operator": "In",
                "values": [
                  "homecontroller",
                  "vaillantservice"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "homeui-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "0773b6ee-133d-4413-8dc8-61b6f8c7e18f",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "hueservice",
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/instance": "nginx-internal",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "nginx-internal"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "homecontroller",
              "k8s:io.kubernetes.pod.namespace": "homeautomation"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.95/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "hueservice-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "a3dfa865-86ca-4e69-aa2b-148cc89dd92f",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "locationservice",
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/instance": "nginx",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "nginx"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "kafka",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "kafka"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9090",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "9091",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "9092",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "9093",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "9094",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "locationservice-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "5121b130-66e1-4910-bfee-53222c52d93f",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "solarservice",
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/instance": "nginx-internal",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "nginx-internal"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.39/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "solarservice-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "27ba17cb-bf6c-4ea4-af77-4362c1920b5b",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "vaillantservice",
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/instance": "nginx-internal",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "nginx-internal"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "homecontroller",
              "k8s:io.kubernetes.pod.namespace": "homeautomation"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "homeui",
              "k8s:io.kubernetes.pod.namespace": "homeautomation"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16"
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "vaillantservice-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "b4e3f568-3ee2-431d-8e00-a36126dc3bd1",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "weatherservice",
        "k8s:io.kubernetes.pod.namespace": "homeautomation"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/instance": "nginx-internal",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "nginx-internal"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "homecontroller",
              "k8s:io.kubernetes.pod.namespace": "homeautomation"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9999",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "weatherservice-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "homeautomation",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "8e19c92f-48b6-4cd2-ae7b-22f8eb6c1d92",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "jenkins",
        "k8s:statefulset.kubernetes.io/pod-name": "wamblee-jenkins-0"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-wamblee-org",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-jenkins-incoming",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jenkins",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "6a07176f-0f47-4e55-a246-32974710f7f3",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "jenkins"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jenkins",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "ffd0cfda-db57-4432-b294-17e39147f1a8",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "jenkins",
        "k8s:jenkins/wamblee-jenkins-agent": "true"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "50000",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "jenkins-agent-allow-egress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jenkins",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "2cb56fac-d9aa-4c75-941b-0b2864c2509e",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "jenkins",
        "k8s:statefulset.kubernetes.io/pod-name": "wamblee-jenkins-0"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "jenkins-allow-external-traffic",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jenkins",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "8e01afa6-ac33-406a-9aeb-1596304d1bc4",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "jenkins",
        "k8s:jenkins/wamblee-jenkins-agent": "true"
      }
    },
    "ingress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "wamblee-jenkins-agent",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jenkins",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "ac219970-e875-4b49-bbd5-9158e726180d",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app.kubernetes.io/component": "jenkins-controller",
        "k8s:app.kubernetes.io/instance": "wamblee",
        "k8s:io.kubernetes.pod.namespace": "jenkins"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "jenkins",
              "k8s:jenkins/wamblee-jenkins-agent": "true"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "50000",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "wamblee-jenkins-controller",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jenkins",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "e75b5ebf-a3b0-4233-b65f-5a03883fc32c",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "jupyterhub",
        "k8s:component": "proxy",
        "k8s:io.kubernetes.pod.namespace": "jupyterhub"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-wamblee-org",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "http",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-jupyterhub",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jupyterhub",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "3fea146c-5b4e-4145-b51f-d1a1be4ee236",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "jupyterhub",
        "k8s:component": "hub",
        "k8s:io.kubernetes.pod.namespace": "jupyterhub",
        "k8s:release": "jupyterhub"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:hub.jupyter.org/network-access-hub": "true",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "http",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "jupyterhub",
              "k8s:component": "proxy",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub",
              "k8s:release": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8001",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "jupyterhub",
              "k8s:component": "singleuser-server",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub",
              "k8s:release": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8888",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "169.254.169.254/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "kube-system"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "10.0.0.0/8"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "172.16.0.0/12"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.0.0/16"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16",
              "169.254.169.254/32"
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "10.0.0.0/8"
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "172.16.0.0/12"
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.0.0/16"
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "169.254.169.254/32"
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "hub",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jupyterhub",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "5ed24296-14c3-46ee-b6f6-827d8e600e38",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "jupyterhub",
        "k8s:component": "proxy",
        "k8s:io.kubernetes.pod.namespace": "jupyterhub",
        "k8s:release": "jupyterhub"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "http",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "https",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:hub.jupyter.org/network-access-proxy-http": "true",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "http",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:hub.jupyter.org/network-access-proxy-api": "true",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "api",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "jupyterhub",
              "k8s:component": "hub",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub",
              "k8s:release": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8081",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "jupyterhub",
              "k8s:component": "singleuser-server",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub",
              "k8s:release": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8888",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "169.254.169.254/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "kube-system"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "10.0.0.0/8"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "172.16.0.0/12"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.0.0/16"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16",
              "169.254.169.254/32"
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "10.0.0.0/8"
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "172.16.0.0/12"
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.0.0/16"
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "169.254.169.254/32"
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "proxy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jupyterhub",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "680478f4-259c-4e1b-9822-3ea379f4ca5d",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "jupyterhub",
        "k8s:component": "singleuser-server",
        "k8s:io.kubernetes.pod.namespace": "jupyterhub",
        "k8s:release": "jupyterhub"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:hub.jupyter.org/network-access-singleuser": "true",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "notebook-port",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "jupyterhub",
              "k8s:component": "hub",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub",
              "k8s:release": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8081",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "jupyterhub",
              "k8s:component": "proxy",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub",
              "k8s:release": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8000",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "jupyterhub",
              "k8s:component": "autohttps",
              "k8s:io.kubernetes.pod.namespace": "jupyterhub",
              "k8s:release": "jupyterhub"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "8443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "169.254.169.254/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "kube-system"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "10.0.0.0/8"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "172.16.0.0/12"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.0.0/16"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16",
              "169.254.169.254/32"
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "singleuser",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jupyterhub",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "57b8b6c4-ea9a-458b-98b1-8a7c40f4b122",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "kafka",
        "k8s:strimzi.io/cluster": "wamblee",
        "k8s:strimzi.io/kind": "Kafka",
        "k8s:strimzi.io/name": "wamblee-entity-operator"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8081",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "wamblee-entity-operator",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "kafka",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "34309d2c-6574-45aa-b283-14a920e8bbe5",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "kafka",
        "k8s:strimzi.io/cluster": "wamblee",
        "k8s:strimzi.io/kind": "Kafka",
        "k8s:strimzi.io/name": "wamblee-kafka"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/cluster": "wamblee",
              "k8s:strimzi.io/kind": "Kafka",
              "k8s:strimzi.io/name": "wamblee-kafka"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9090",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/kind": "cluster-operator"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9091",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/cluster": "wamblee",
              "k8s:strimzi.io/kind": "Kafka",
              "k8s:strimzi.io/name": "wamblee-kafka"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9091",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/name": "wamblee-entity-operator"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9091",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/name": "wamblee-kafka-exporter"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9091",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/name": "wamblee-cruise-control"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9091",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/kind": "cluster-operator"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9092",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9093",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "9094",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "wamblee-network-policy-kafka",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "kafka",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f3eadbe7-2943-4d9d-be6b-ada03a0e7d81",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "kafka",
        "k8s:strimzi.io/cluster": "wamblee",
        "k8s:strimzi.io/kind": "Kafka",
        "k8s:strimzi.io/name": "wamblee-zookeeper"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/cluster": "wamblee",
              "k8s:strimzi.io/kind": "Kafka",
              "k8s:strimzi.io/name": "wamblee-zookeeper"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "2888",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/cluster": "wamblee",
              "k8s:strimzi.io/kind": "Kafka",
              "k8s:strimzi.io/name": "wamblee-zookeeper"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3888",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/name": "wamblee-kafka"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "2181",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/cluster": "wamblee",
              "k8s:strimzi.io/kind": "Kafka",
              "k8s:strimzi.io/name": "wamblee-zookeeper"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "2181",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/name": "wamblee-entity-operator"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "2181",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kafka",
              "k8s:strimzi.io/kind": "cluster-operator"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "2181",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "wamblee-network-policy-zookeeper",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "kafka",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "1e08931a-82b2-4105-a744-d0b90ebf9316",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-dns",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "d40e2030-8638-478c-9974-e9a34487acb3",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "monitoring",
        "k8s:prometheus-scrapable": "true"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "prometheus",
              "k8s:io.kubernetes.pod.namespace": "monitoring"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "prometheus",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-scrape",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "4fffe8c3-84e7-4f29-9a7e-a62ac0b49e8c",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "c3a958ca-5bc3-49bf-bfa5-0fb91273fd63",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app.kubernetes.io/name": "fluent-bit",
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "loki",
              "k8s:io.kubernetes.pod.namespace": "monitoring"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3100",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "fluentbit-to-loki",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "951e5b75-bac2-4400-ac76-b09258ba89a0",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app.kubernetes.io/name": "grafana",
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "loki",
              "k8s:io.kubernetes.pod.namespace": "monitoring"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3100",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toCIDRSet": [
          {
            "cidr": "34.120.177.193/32"
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "grafana-egress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "9870af02-0cf3-487d-bd42-002337f87641",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app.kubernetes.io/name": "grafana",
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-wamblee-org",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3000",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "grafana-from-httpd",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "342370ed-bf2c-4058-b2bd-d1124a0db7ea",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app.kubernetes.io/name": "loki",
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "fluent-bit",
              "k8s:io.kubernetes.pod.namespace": "monitoring"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3100",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "loki-from-fluentbit",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f81d2b00-8e83-404e-9946-ac4a2a8e7c62",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app.kubernetes.io/name": "loki",
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app.kubernetes.io/name": "grafana",
              "k8s:io.kubernetes.pod.namespace": "monitoring"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3100",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "loki-from-grafana",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f4aa5162-e349-4691-80e8-a7006ef7712e",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      },
      "matchExpressions": [
        {
          "key": "k8s:app",
          "operator": "In",
          "values": [
            "grafana"
          ]
        }
      ]
    },
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.244/32"
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mail",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "exposure"
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "mail-server-access",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "137daa03-c978-4937-89d8-e9256af015d9",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      },
      "matchExpressions": [
        {
          "key": "k8s:app.kubernetes.io/instance",
          "operator": "In",
          "values": [
            "prometheus",
            "prometheus-kube-prometheus-alertmanager",
            "prometheus-kube-prometheus-prometheus"
          ]
        }
      ]
    },
    "ingress": [
      {
        "fromEndpoints": [
          {}
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "prometheus-allow-all",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "9823c92c-10ad-41d1-82e4-0b311926d883",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      },
      "matchExpressions": [
        {
          "key": "k8s:app.kubernetes.io/instance",
          "operator": "In",
          "values": [
            "prometheus-kube-prometheus-prometheus"
          ]
        }
      ]
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:prometheus-scrapable": "true"
            },
            "matchExpressions": [
              {
                "key": "k8s:io.kubernetes.pod.namespace",
                "operator": "Exists"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "prometheus-allow-prometheus-scrapable",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "faaec82d-43c5-431a-8788-01e5e92db3bd",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wp-mountainhoppers-server",
        "k8s:io.kubernetes.pod.namespace": "mountainhoppers-nl"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-mountainhoppers-nl",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-to-wp-mountainhoppers-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "mountainhoppers-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "cfe71f34-7710-4bf5-b1b8-2c76c672628c",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "mountainhoppers-nl"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "database"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3306",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-access-to-databases",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "mountainhoppers-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "8351abde-6c2a-419f-9da0-5b9c6a03609d",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wp-mountainhoppers-server",
        "k8s:io.kubernetes.pod.namespace": "mountainhoppers-nl"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-access-to-mailserver",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "mountainhoppers-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "055dfa0f-6c3c-4f43-be33-f75b05bc2b71",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "mountainhoppers-nl"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "mountainhoppers-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "0c590b62-39d8-4d6c-b9a1-9966c52a4dc2",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wp-mountainhoppers-server",
        "k8s:io.kubernetes.pod.namespace": "mountainhoppers-nl"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16"
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "external-internet-from-wordpress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "mountainhoppers-nl",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f0ad7cd6-efc2-4337-97d7-c480ad7b9372",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "nginx"
      }
    },
    "ingress": [
      {
        "fromCIDRSet": [
          {
            "cidr": "192.168.0.0/16"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-controller-calls",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "nginx",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "e62529f5-19c7-4c16-98ed-26e9331a4437",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "nginx"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-dns-for-nginx",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "nginx",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "407c5eca-ccc8-42f7-98f7-352a7b29e7aa",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "nginx"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-egress-to-exposure",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "nginx",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "7549aa67-ba9f-4279-9aa6-229d88de873f",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "nginx"
      }
    },
    "ingress": [
      {
        "fromCIDRSet": [
          {
            "cidr": "192.168.178.0/24"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16"
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchExpressions": [
              {
                "key": "k8s:io.kubernetes.pod.namespace",
                "operator": "Exists"
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "exposure"
            },
            "matchExpressions": [
              {
                "key": "k8s:app",
                "operator": "In",
                "values": [
                  "httpd-wamblee-org",
                  "httpd-brakkee-org"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-http-https",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "nginx",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "fc8d05db-3ca3-4860-9623-2ddabaf1e304",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "nginx"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "nginx",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "eb181992-5e4a-4ede-b24a-92a5d8ce78af",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wamblee-operator",
        "k8s:io.kubernetes.pod.namespace": "wamblee-operators"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "database"
            }
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-access-to-databases",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-operators",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "fafb35e3-11de-4434-957c-85c9b3e39f89",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "gitea",
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-wamblee-org",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "3000",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-gitea",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "d3f61476-0585-496f-9422-49997b6dec4e",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "nexus-server",
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-nexus",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8081",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "8082",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-nexus",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "399c95ed-c280-48a8-9c64-218c1440e24c",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "shellinabox",
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-wamblee-org",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "4200",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "22",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-shellinabox",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "1b4b6695-bb32-48d6-84c4-21f637cba620",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "httpd-vcs",
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-wamblee-org",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-vcs",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "93ce2b57-7461-48e3-84a2-6356a7a512ff",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "wstunnel",
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "httpd-wamblee-org",
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "fromCIDRSet": [
          {
            "cidr": "0.0.0.0/0"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8081",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "22",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "873",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-wstunnel",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "e57e40ac-ff19-429a-b913-c55c28a7c373",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "default-allow-nothing",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "575a6d97-b7e2-4198-b772-6369d66481b6",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "nexus-server",
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "0.0.0.0/0",
            "except": [
              "10.0.0.0/8",
              "172.16.0.0/12",
              "192.168.0.0/16"
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "external-internet-from-nexus",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "96c7578b-f368-4701-9b9b-22c358bd79d8",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "gitea",
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.244/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mail",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "gitea-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "7e5d0601-d937-46b8-b556-a92c4c368566",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      },
      "matchExpressions": [
        {
          "key": "k8s:app",
          "operator": "In",
          "values": [
            "glassfish-server",
            "keycloak-server"
          ]
        }
      ]
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "exposure"
            },
            "matchExpressions": [
              {
                "key": "k8s:app",
                "operator": "In",
                "values": [
                  "httpd-brakkee-org",
                  "httpd-trackdetective-com",
                  "httpd-wamblee-org"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.cilium.k8s.namespace.labels.purpose": "database"
            }
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "glassfish-ingress-egress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "ebf7098b-adff-410f-b19e-77e18c093840",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "keycloak-server",
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {}
    ],
    "egress": [
      {
        "toCIDRSet": [
          {
            "cidr": "192.168.178.244/32"
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "mail",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "exposure"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "25",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:app": "postgresql",
              "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name": "database"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "5432",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {}
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "53",
                "protocol": "TCP"
              }
            ]
          },
          {
            "ports": [
              {
                "port": "46655",
                "protocol": "UDP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "keycloak-allow",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "d1f09694-cd8b-4e3d-926e-77ee0303565e",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:app": "keycloak-server",
        "k8s:io.kubernetes.pod.namespace": "wamblee-org"
      }
    },
    "ingress": [
      {
        "fromEndpoints": [
          {
            "matchExpressions": [
              {
                "key": "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name",
                "operator": "In",
                "values": [
                  "nginx-internal",
                  "nginx"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "8080",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "NetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "keycloak-internal",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-org",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "48c6a612-a96e-4baf-8f8c-b23904a8795c",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "any:statefulset.kubernetes.io/pod-name": "wamblee-jenkins-0",
        "k8s:io.kubernetes.pod.namespace": "jenkins"
      }
    },
    "egress": [
      {
        "toEntities": [
          "all"
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "6443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "jenkins-api-server-access",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jenkins",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "a9b1e856-8264-4f33-97ce-f72c1d88aefc",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "jupyterhub"
      }
    },
    "egress": [
      {
        "toEntities": [
          "kube-apiserver"
        ]
      },
      {
        "toPorts": [
          {
            "ports": [
              {
                "port": "6443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "allow-access-to-api-server",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "jupyterhub",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "f3512068-a3a2-475e-9074-9f9d860abb27",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "any:app.kubernetes.io/name": "fluent-bit",
        "k8s:io.kubernetes.pod.namespace": "monitoring"
      }
    },
    "egress": [
      {
        "toEntities": [
          "kube-apiserver"
        ]
      },
      {
        "toPorts": [
          {
            "ports": [
              {
                "port": "6443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "fluentbit-api-server-access",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "monitoring",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "d8f04ded-f0cf-4955-88dd-0eae43be61e7",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "nginx"
      }
    },
    "ingress": [
      {
        "fromEntities": [
          "kube-apiserver"
        ]
      }
    ],
    "egress": [
      {
        "toEntities": [
          "kube-apiserver"
        ]
      },
      {
        "toPorts": [
          {
            "ports": [
              {
                "port": "6443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "cilium-api-server-access",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "nginx",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "0e11e7d6-e9c2-4fa0-a282-571cc1cbdac4",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "wamblee-operators"
      }
    },
    "egress": [
      {
        "toEntities": [
          "kube-apiserver"
        ]
      },
      {
        "toPorts": [
          {
            "ports": [
              {
                "port": "6443",
                "protocol": "TCP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "wamblee-operators-allow-api-server-access",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "wamblee-operators",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "413b1894-c2e0-49c6-8af4-f189405de803",
        "source": "k8s"
      }
    ]
  }
]
Revision: 98
